\documentclass[12pt]{article}

\usepackage{amsthm,enumerate,amsmath,graphics,float,amssymb,kbordermatrix}

\usepackage[text={17cm,23cm},centering]{geometry}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem{Ex}{Exercise}
\newtheorem*{sol}{Solution}

\newcommand{\cl}{\operatorname{cl}}

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\vspace{4ex}
\hrule
MATH432 - 2009\hfill
Assignment 4 \hfill
Due September 24
\vspace{1ex}\hrule\vspace{1ex}

\begin{Q}
Let $\mathcal{M}$ be a minor-closed class of matroids, and let
$\mathcal{M}^{*}=\{M^{*}\mid M \in \mathcal{M}\}$.
\begin{enumerate}[(i)]
\item Show that $\mathcal{M}^{*}$ is closed under taking minors.
\item Show that $M$ is an excluded minor for
$\mathcal{M}$ if and only if $M^{*}$ is an excluded minor
for $\mathcal{M}^{*}$.
\end{enumerate}
\end{Q}

\begin{Q}
Let $\mathcal{M}$ and $\mathcal{N}$ be minor-closed
classes of matroids, with $\{M_{1},\ldots, M_{j}\}$
and $\{N_{1},\ldots, N_{k}\}$ as their sets of excluded minors.
\begin{enumerate}[(i)]
\item Prove that $\mathcal{M} \cap \mathcal{N}$ is a
minor-closed class.
\item Prove that any excluded minor for
$\mathcal{M} \cap \mathcal{N}$ is contained in
$\{M_{1},\ldots, M_{j},N_{1},\ldots, N_{k}\}$.
\item Give an example where the set of excluded minors for
$\mathcal{M} \cap \mathcal{N}$ is not equal to the set
$\{M_{1},\ldots, M_{j},N_{1},\ldots, N_{k}\}$.
\item Prove that the excluded minors for
$\mathcal{M} \cap \mathcal{N}$ are exactly the
matroids contained in the set
$\{M_{1},\ldots, M_{j},N_{1},\ldots, N_{k}\}$
that do not contain any other member of this
set as a proper minor.
\end{enumerate}
\end{Q}

\begin{Q}
Construct representations over $\mathrm{GF}(2)$
and $\mathrm{GF}(3)$ of $M(G)$, where $G$ is the
graph shown below.
\begin{center}
\includegraphics{432_asgn4_fig3}
\end{center}
\end{Q}

\begin{Q}
Let $G$ be a connected planar graph with $v$ vertices, and
$e$ edges.
Consider a planar drawing of $G$ with $f$ faces.
Use matroid duality to prove Euler's formula, and
show that $v-e+f=2$.
\end{Q}

\begin{Q}
The field $\mathrm{GF}(4)$ consists of the four
elements $\{0,1,\omega,\omega+1\}$.
The addition and multiplication tables for
$\mathrm{GF}(4)$ are as follows.
\begin{displaymath}
\begin{array}{c|cccc}
+ & 0 & 1 & \omega & \omega + 1\\\hline
0 & 0 & 1 & \omega & \omega + 1\\
1 & 1 & 0 & \omega+1 & \omega\\
\omega & \omega & \omega + 1 & 0 & 1\\
\omega + 1 & \omega +1& \omega & 1 & 0
\end{array}
\qquad
\begin{array}{c|cccc}
\times & 0 & 1 & \omega & \omega + 1\\\hline
0 & 0 & 0 & 0 & 0\\
1 & 0 & 1 & \omega & \omega+1\\
\omega & 0 & \omega & \omega+1 & 1\\
\omega + 1 & 0& \omega+1 & 1 & \omega
\end{array}
\end{displaymath}
The following diagram gives a geometric representation
of the rank-three matroid $P_{6}$.
\begin{center}
\includegraphics{432_asgn4_fig1}
\end{center}
\begin{enumerate}[(i)]
\item Use the techniques in Section~7 to show that
$P_{6}$ is not representable over $\mathrm{GF}(4)$.
\item Give geometric representations of the
two non-isomorphic matroids obtained from $P_{6}$
by deleting a single element.
\item Show that the matroids in part~(ii)
are both representable over $\mathrm{GF}(4)$.
\item Prove that $P_{6}$ is isomorphic to its
own dual.
\item Explain why the previous steps show that
$P_{6}$ is an excluded minor
for $\mathrm{GF}(4)$-representability.
\item Can you give a geometrical argument
to show that $P_{6}$ is not
$\mathrm{GF}(4)$-representable, given that
$U_{2,6}$ is not $\mathrm{GF}(4)$-representable?
\end{enumerate}
\end{Q}

\begin{Q}
Give a representation for $P_{6}$ over the field
$\mathrm{GF}(5)$.
\end{Q}

\begin{Q}
Recall that $F_{7}$ and $F_{7}^{-}$ are the matroids shown in
diagrams (a) and (b) respectively.
\begin{enumerate}[(i)]
\item Use the techniques described in Section~7
to show that if $F_{7}$ is representable over the
field $F$, then $1+1=0$ in $F$.
\item Use the same techniques to show that
if $F_{7}^{-}$ is representable over the field $F$,
then $1+1\ne 0$ in $F$.
\item Explain why the rank-four matroid in diagram
(c) is not representable over any field.
\end{enumerate}
\begin{center}
\includegraphics{432_asgn4_fig2}
\end{center}
\end{Q}

\end{document}
